\documentclass[sigconf]{acmart}

%%%
% Set according to instructions:
%
%   http://www.scomminc.com/pp/acmsig/wpes.htm#1
%
%%%
\copyrightyear{2022}
\acmYear{2022}
\setcopyright{rightsretained}
\acmConference[WPES '22]{Proceedings of the 21st Workshop on Privacy in the Electronic Society}{November 7, 2022}{Los Angeles, CA, USA}
\acmBooktitle{Proceedings of the 21st Workshop on Privacy in the Electronic Society (WPES '22), November 7, 2022, Los Angeles, CA, USA}
\acmISBN{978-1-4503-9873-2/22/11}
\acmDOI{10.1145/3559613.3563208}

%%%
% Overwrite copyright field outside from cls file, per instructions via email.
%%%
\usepackage{etoolbox}
\makeatletter
\patchcmd{\maketitle}{\@copyrightpermission}{
   \begin{minipage}{0.3\columnwidth}
     \href{https://creativecommons.org/licenses/by-sa/4.0/}{\includegraphics[width=0.90\textwidth]{img/cc-by-sa4acm.png}}
   \end{minipage}\hfill
   \begin{minipage}{0.7\columnwidth}
     \href{https://creativecommons.org/licenses/by-sa/4.0/}{This work is licensed under a Creative Commons Attribution-ShareAlike International 4.0 License.}
   \end{minipage}

   \vspace{5pt}
}{}{}

\makeatother

%%%
% Packages, macros, definitions, etc.
%%%
\input{preamble/imports}

\begin{document}

%%%
% Paper Metadata
%%%
\title{Sauteed Onions}
\subtitle{Transparent Associations from Domain Names to Onion Addresses}

%%%
% Authors
%%%
\author{Rasmus Dahlberg}
\email{rasmus.dahlberg@kau.se}
\affiliation{%
  \institution{Karlstad University}
  \city{Karlstad}
  \country{Sweden}
}

\author{Paul Syverson}
\email{paul.syverson@nrl.navy.mil}
\affiliation{%
  \institution{U.S. Naval Research Laboratory}
  \city{Washington D.C.}
  \country{USA}
}

\author{Linus Nordberg}
\email{linus@verkligendata.se}
\affiliation{%
  \institution{Verkligen Data AB}
  \city{Stockholm}
  \country{Sweden}
}

\author{Matthew Finkel}
\email{sysrqb@torproject.org}
\affiliation{%
  \institution{Independent}
  \city{Grand Junction CO}
  \country{USA}
}

\renewcommand{\shortauthors}{Rasmus Dahlberg, Paul Syverson, Linus Nordberg, \& Matthew Finkel}

%%%
% Abstract
%%%
\begin{abstract}
  \input{sections/abstract}
\end{abstract}

%%%
% Add CCS concepts, generate from here:
%
%   http://dl.acm.org/ccs.cfm
%
% Comment: generated September, 2022.
%%%
\begin{CCSXML}
  <ccs2012>
    <concept>
      <concept_id>10002978.10003006.10003011</concept_id>
      <concept_desc>Security and privacy~Browser security</concept_desc>
      <concept_significance>300</concept_significance>
    </concept>
    <concept>
      <concept_id>10002978.10003014.10003016</concept_id>
      <concept_desc>Security and privacy~Web protocol security</concept_desc>
      <concept_significance>500</concept_significance>
    </concept>
    <concept>
      <concept_id>10003033.10003099.10003037</concept_id>
      <concept_desc>Networks~Naming and addressing</concept_desc>
      <concept_significance>500</concept_significance>
    </concept>
    <concept>
      <concept_id>10003456.10003462.10003480.10003484</concept_id>
      <concept_desc>Social and professional topics~Technology and censorship</concept_desc>
      <concept_significance>500</concept_significance>
    </concept>
  </ccs2012>
\end{CCSXML}

\ccsdesc[300]{Security and privacy~Browser security}
\ccsdesc[500]{Security and privacy~Web protocol security}
\ccsdesc[500]{Networks~Naming and addressing}
\ccsdesc[500]{Social and professional topics~Technology and censorship}

%%%
% Keywords (at least two are required)
%%%
\keywords{Onion Services, Web PKI, TLS Certificates, Certificate Transparency}

%%%
% This command processes the author and affiliation and title
% information and builds the first part of the formatted document.
%%%
\maketitle

%%%
% Paper sections
%%%
\input{sections/intro}
\input{sections/preliminaries}
\input{sections/sauteed}
\input{sections/related}
\input{sections/conc}
\input{sections/acks}

\bibliographystyle{ACM-Reference-Format}
\input{sections/refs}

\appendix
\input{sections/appendix}

\end{document}
\endinput
